org.eclipse.net4j.signal

## Class SignalReactor

- java.lang.Object
- - org.eclipse.net4j.signal.Signal
  - - org.eclipse.net4j.signal.SignalReactor

- All Implemented Interfaces:
    java.lang.Runnable
  Direct Known Subclasses:
    Indication, IndicationWithResponse

      public abstract class SignalReactor
      extends Signal

  Represents the receiver side of a `signal`.
  Author:
    Eike Stepper

- - ### Field Summary

    - ### Fields inherited from class org.eclipse.net4j.signal.Signal

      `NO_TIMEOUT`

  - ### Constructor Summary

    Constructors
    Constructor and Description
    `SignalReactor(SignalProtocol<?> protocol, java.lang.Enum<?> literal)`
    `SignalReactor(SignalProtocol<?> protocol, short signalID)`
    `SignalReactor(SignalProtocol<?> protocol, short id, java.lang.String name)`

  - ### Method Summary

    - ### Methods inherited from class org.eclipse.net4j.signal.Signal

      `closeChannelAfterMe, closeInputStreamAfterMe, closeOutputStreamAfterMe, execute, finishInputStream, finishOutputStream, flush, getAdditionalInfo, getBufferInputStream, getBufferOutputStream, getCorrelationID, getCurrentInputStream, getCurrentOutputStream, getID, getName, getProtocol, run, toString, wrapInputStream, wrapOutputStream`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### SignalReactor

          public SignalReactor(SignalProtocol<?> protocol,
                               short id,
                               java.lang.String name)

      Since:
        2.0

    - #### SignalReactor

          public SignalReactor(SignalProtocol<?> protocol,
                               short signalID)

      Since:
        2.0

    - #### SignalReactor

          public SignalReactor(SignalProtocol<?> protocol,
                               java.lang.Enum<?> literal)

      Since:
        2.0

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html